Bug 988024 - On failed migration, VM wrongly appears down in the webUI [NEEDINFO]
On failed migration, VM wrongly appears down in the webUI
Status: CLOSED WONTFIX
Product: oVirt
Classification: Community
Component: ovirt-engine-core (Show other bugs)
3.3
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Omer Frenkel
virt
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-24 10:40 EDT by Antoni Segura Puimedon
Modified: 2014-12-07 19:51 EST (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-12-29 06:08:46 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
ofrenkel: needinfo? (asegurap)


Attachments (Terms of Use)
WebUI shows VM down (159.93 KB, image/png)
2013-07-24 10:40 EDT, Antoni Segura Puimedon
no flags Details
VM is still alive as seen in spice and virsh (166.17 KB, image/png)
2013-07-24 10:42 EDT, Antoni Segura Puimedon
no flags Details

  None (edit)
Description Antoni Segura Puimedon 2013-07-24 10:40:00 EDT
Created attachment 777826 [details]
WebUI shows VM down

Description of problem:
When triggering a migration between two hosts, if the destination host crashes, the VM continues executing on the source Host. However, on the VM tab of the webUI it shows as down (contradicting what is visible in virsh list in the source host).

Version-Release number of selected component (if applicable):3.3


How reproducible:100%


Steps to Reproduce:
1.Set up two hosts for migration
2.Create and start a VM on hostA
3.Trigger migration to hostB
4.kill libvirt on hostB

Actual results:
WebUI reports migration failed and VM down.


Expected results:
WebUI reports migration failed and VM still running on hostA.

Additional info:
Comment 1 Antoni Segura Puimedon 2013-07-24 10:42:00 EDT
Created attachment 777827 [details]
VM is still alive as seen in spice and virsh
Comment 2 Omer Frenkel 2013-07-25 07:10:44 EDT
can you please attach relevant engine.log?
also, what does 'vdsClient 0 list table' returns on the source host?
(if using secure env add '-s' after vdsClient)
Comment 3 Omer Frenkel 2013-07-25 09:03:51 EDT
we couldn't reproduce it, but it seems that after the migration handover,
vm appeared on dest host before it went to down on source, so i see this (alot) in the log:

2013-07-24 16:24:12,168 WARN  [org.ovirt.engine.core.vdsbroker.VdsManager] (DefaultQuartzScheduler_Worker-35) Failed to refresh VDS , vds = 83554359-125e-4eb5-9438-10eea5e78120 : testday2, error = java.lang.NullPointerException, continuing.: java.lang.NullPointerException
        at org.ovirt.engine.core.vdsbroker.VdsUpdateRunTimeInfo.proceedGuaranteedMemoryCheck(VdsUpdateRunTimeInfo.java:1313) [vdsbroker.jar:]
        at org.ovirt.engine.core.vdsbroker.VdsUpdateRunTimeInfo.refreshVmStats(VdsUpdateRunTimeInfo.java:968) [vdsbroker.jar:]
        at org.ovirt.engine.core.vdsbroker.VdsUpdateRunTimeInfo.refreshVdsRunTimeInfo(VdsUpdateRunTimeInfo.java:542) [vdsbroker.jar:]
        at org.ovirt.engine.core.vdsbroker.VdsUpdateRunTimeInfo.Refresh(VdsUpdateRunTimeInfo.java:383) [vdsbroker.jar:]
        at org.ovirt.engine.core.vdsbroker.VdsManager.OnTimer(VdsManager.java:237) [vdsbroker.jar:]
        at sun.reflect.GeneratedMethodAccessor42.invoke(Unknown Source) [:1.7.0_25]
        at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43) [rt.jar:1.7.0_25]
        at java.lang.reflect.Method.invoke(Method.java:606) [rt.jar:1.7.0_25]
        at org.ovirt.engine.core.utils.timer.JobWrapper.execute(JobWrapper.java:60) [scheduler.jar:]
        at org.quartz.core.JobRunShell.run(JobRunShell.java:213) [quartz.jar:]
        at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:557) [quartz.jar:]


this was solved here:
http://gerrit.ovirt.org/#/c/17297

so unless we can reproduce this again,
we might assume this patch also fix this.
Comment 4 Itamar Heim 2013-12-29 06:08:46 EST
Closing old bugs. If this issue is still relevant/important in current version, please re-open the bug.

Note You need to log in before you can comment on or make changes to this bug.